webscraperapi.ai
API Reference

Google Ads Endpoint

Search Google and retrieve paid advertisement results with title, URL, displayed URL, and description. Supports pagination and geographic targeting.

GET
/v2/google_ads

Query Parameters

query*string

Search query.

Length1 <= length
domain?|

Google domain TLD (e.g., 'com', 'de', 'co.uk').

locale?|

Interface language in IETF BCP 47 (e.g., 'en-US').

geo_location?|

Geographic location (e.g., 'California,United States').

start_page?integer

Starting page number.

Default1
pages?integer

Number of pages to scrape.

Default1
render_js?boolean

Whether to render JavaScript.

Defaultfalse
output?|

Output format.

Default"markdown"
timeout_ms?|

Request timeout in milliseconds.

Response Body

application/json

application/json

curl -X GET "https://api.webscraperapi.ai/v2/google_ads?query=string"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}